
Ruby - Bug #7821

FileUtils.mkdir_p fails on Windows Unicode paths (\\?\UNC\) if dir already exists

02/10/2013 01:30 PM - shyxormz (Patrick Pokatilo)

Status: Rejected   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version: 2.6   

ruby -v: ruby 1.9.3p362 (2012-12-25)

[i386-mingw32]

Backport:  

Description

Code:

FileUtils.mkdir_p "//?/C:/test"

FileUtils.mkdir_p "//?/C:/test"

What I expected:

Ruby will create directory C:\test on the first call and nothing on the second

What happened on the second call:

Errno::EACCESS: Permission denied - \?\C:

from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:247:in mkdir' from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:247:in fu_mkdir'

from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:221:in block (2 levels) in mkdir_p' from

C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:219:in reverse_each'

from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:219:in block in mkdir_p' from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:205:in each'

from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:205:in mkdir_p' from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:247:in mkdir'

from C:/ruby/1.9.3-p362/lib/ruby/1.9.1/fileutils.rb:247:in `mkdir'

Related issues:

Related to Ruby - Bug #7822: Dir.mkdir can't handle long Windows Unicode path... Rejected 02/10/2013

History

#1 - 02/13/2013 06:28 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Assigned

- Assignee set to usa (Usaku NAKAMURA)

- Target version set to 2.0.0

#2 - 02/19/2013 01:12 AM - mame (Yusuke Endoh)

Usa-san, how significant is this issue?

--

Yusuke Endoh mame@tsg.ne.jp

#3 - 02/20/2013 04:27 PM - mame (Yusuke Endoh)

- Target version changed from 2.0.0 to 2.6

Looks not so critical.

--

Yusuke Endoh mame@tsg.ne.jp

#4 - 04/16/2014 11:49 AM - elovelan (Eric Loveland)

This is actually due to a bug in File.directory?

File.directory?("\\\\?\\C:")

 returns false.  New bug for this?

#5 - 04/16/2014 12:18 PM - usa (Usaku NAKAMURA)

The path with "\?" must be fullpath.
It's the spec of Windows.

#6 - 04/16/2014 12:19 PM - usa (Usaku NAKAMURA)

- Related to Bug #7822: Dir.mkdir can't handle long Windows Unicode paths (\\?\UNC\) added

#7 - 04/16/2014 12:25 PM - usa (Usaku NAKAMURA)

- Status changed from Assigned to Rejected

See #7822.
